6.0.0-git
2019-01-21

[#11032] Support "emails" attribute for search API
Summary Support "emails" attribute for search API
Queue Turba
Queue Version Git master
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester maciej.uhlig (at) us (dot) edu (dot) pl
Created 2012-02-27 (2520 days ago)
Due
Updated 2012-03-01 (2517 days ago)
Assigned 2012-02-29 (2518 days ago)
Resolved
Milestone
Patch No

History
2012-03-01 10:07:07 Jan Schneider Summary ⇒ Support "emails" attribute for search API
Version ⇒ Git master
 
2012-03-01 10:06:27 Jan Schneider Type ⇒ Enhancement
State ⇒ Accepted
Priority ⇒ 1. Low
 
2012-03-01 07:18:04 maciej (dot) uhlig (at) us (dot) edu (dot) pl Comment #5 Reply to this comment
Sorry, I meant the attribute type in Turba, not in LDAP.
Now I see. In the previously reported behaviour I used "email".

In case I use "emails", there are two e-mail compose links on contact 
view screen and this is correct.

However, in case of "emails" type, search results screen doesn't 
contain e-mail addresses at all, even when contact has only one address.

So at least we have an inconsistency here.

2012-02-29 19:28:46 Jan Schneider Comment #4 Reply to this comment
Which attribute type do you use for that field?
It is "mail"  (used for instance by inetOrgperson). It isn't Single Valued.
Sorry, I meant the attribute type in Turba, not in LDAP.
2012-02-29 18:27:07 maciej (dot) uhlig (at) us (dot) edu (dot) pl Comment #3 Reply to this comment
Which attribute type do you use for that field?
It is "mail"  (used for instance by inetOrgperson). It isn't Single Valued.
2012-02-29 17:48:14 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Which attribute type do you use for that field?
2012-02-27 13:02:06 maciej (dot) uhlig (at) us (dot) edu (dot) pl Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ malformed compose link with multivalue e-mail address
Queue ⇒ Turba
Milestone ⇒
Patch ⇒ No
Reply to this comment
User has two e-mail addresses (multivalue LDAP entry). Turba LDAP 
search finds this contact, displays its name and both e-mail 
addresses. Every address has its own compose link. So far so good. 
Click Name to View Contact. There is only one malformed compose link 
containing both addresses. BTW dimp To field of compose window is also 
malformed.

Saved Queries